MDVA-26005:買い物かご価格ルール条件のツリーでカテゴリを選択できない

MDVA-26005 パッチを使用すると、ユーザーがカテゴリ ツリーの [ 買い物かご価格 ] ルールの条件でカテゴリを選択できない問題を解決できます。 このパッチは、 品質向上パッチツール(QPT) 1.1.4 がインストールされています。 パッチ ID は MDVA-26005。 この問題はAdobe Commerce 2.3.6 で修正されました。

影響を受ける製品とバージョン

Adobe Commerce バージョン用のパッチが作成されます。

  • Adobe Commerce(すべてのデプロイメント方法) 2.3.4

Adobe Commerce バージョンとの互換性:

  • Adobe Commerce(すべてのデプロイメント方法) 2.3.4 - 2.3.5-p2
NOTE
パッチは、新しい Quality Patches Tool リリースを使用する他のバージョンにも適用される可能性があります。 パッチがお使いのAdobe Commerceのバージョンと互換性があるかどうかを確認するには、 magento/quality-patches を最新バージョンにパッケージ化し、 Quality Patches Tool:パッチの検索ページ. パッチ ID を検索キーワードとして使用して、パッチを見つけます。

問題

買い物かご価格ルール条件のカテゴリツリーでカテゴリを選択できない。

再現手順:

  1. 新しい買い物かご価格ルールを作成するか、既存の買い物かご価格ルールを編集します。
  2. 「アクション」セクションに移動し、「条件」でカテゴリを選択します。
  3. カテゴリツリーをレンダリングして、カテゴリを選択します。

期待される結果:

カテゴリを選択できます。

実際の結果:

JS エラーにより、カテゴリを選択できません。

パッチの適用

個々のパッチを適用するには、デプロイメント方法に応じて、次のリンクを使用します。

関連資料

品質向上パッチツールの詳細については、次を参照してください。

QPT で使用可能なその他のパッチについては、 QPT で使用可能なパッチ セクション。

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a